Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPaintEngine.PolygonDrawMode

    java.lang.Object
      java.lang.Enum<QPaintEngine.PolygonDrawMode>
          com.trolltech.qt.gui.QPaintEngine.PolygonDrawMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPaintEngine.PolygonDrawMode>

Enclosing class:
  QPaintEngine

    public static enum QPaintEngine.PolygonDrawMode

extends java.lang.Enum<QPaintEngine.PolygonDrawMode>
implements QtEnumerator

Press link for info on QPaintEngine.PolygonDrawMode

Enum Constant Summary
`ConvexMode` The polygon is a convex polygon and can be drawn using specialized algorithms where available.
`OddEvenMode` The polygon should be drawn using OddEven fill rule.
`PolylineMode` Only the outline of the polygon should be drawn.
`WindingMode` The polygon should be drawn using Winding fill rule.

Method Summary
`static QPaintEngine.PolygonDrawMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintEngine.PolygonDrawMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPaintEngine.PolygonDrawMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OddEvenMode

    public static final QPaintEngine.PolygonDrawMode OddEvenMode

  The polygon should be drawn using OddEven fill rule.

### WindingMode

    public static final QPaintEngine.PolygonDrawMode WindingMode

  The polygon should be drawn using Winding fill rule.

### ConvexMode

    public static final QPaintEngine.PolygonDrawMode ConvexMode

  The polygon is a convex polygon and can be drawn using specialized algorithms where available.

### PolylineMode

    public static final QPaintEngine.PolygonDrawMode PolylineMode

  Only the outline of the polygon should be drawn.

Method Detail

### values

    public static final QPaintEngine.PolygonDrawMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPaintEngine.PolygonDrawMode c : QPaintEngine.PolygonDrawMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPaintEngine.PolygonDrawMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPaintEngine.PolygonDrawMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD